/*
    Initialisation du microcontroleur
*/

/************************ INCLUDE ***************************/
#include <p18f2620.h>       /* C18 compiler processor defs */
#include "h/inituc.h" 		   /* initialisation defs */

/**************** DECLARATION DES SOUS PROGRAMMES *************/

/***************************************************************
Nom   : void init_uc (void)
Role  : Initialisation du microcontroleur
****************************************************************/
void init_uc (void)
{

// A/D PORT Configuration
// ADCON1 = 0x03;		// ANALOG: AN0 -> AN10 - DIGITAL: AN11 -> AN12, Vref+ et Vref -
 ADCON1 = 0x00;			// all digital

 INTCON2bits.RBPU = 1;  // Disable internal PORTB pull-ups

//// I/O Configuration
TRISA = 0x00;		// 0UPUTS
TRISB = 0x00;		// 0UPUTS
TRISC = 0x00;		// 0UPUTS


//
// PORTAbits.RA4 = 1;
// PORTGbits.RG0 = 1;
// PORTGbits.RG1 = 0;
}



